diff --git a/app/views/projects/index.rhtml b/app/views/projects/index.rhtml
index 98fd2c1..5f15f82 100644
--- a/app/views/projects/index.rhtml
+++ b/app/views/projects/index.rhtml
@@ -8,10 +8,13 @@
     <%= link_to(l(:label_overall_spent_time), { :controller => 'time_entries' }) + ' |' if User.current.allowed_to?(:view_time_entries, nil, :global => true) %>
     <%= link_to(l(:label_news_view_all), { :controller => 'news' }) + ' |' if User.current.allowed_to?(:view_news, nil, :global => true) %>
     <%= link_to l(:label_overall_activity), { :controller => 'activities', :action => 'index' }%>
+    <%= call_hook(:view_projects_show_contextual) %>
 </div>
 
 <h2><%=l(:label_project_plural)%></h2>
 
+<%= call_hook(:view_projects_show_top) %>
+
 <%= render_project_hierarchy(@projects)%>
 
 <% if User.current.logged? %>
